Bug 3732 - NISDOMAINNAME and other nis dhcp Options no longer supported
NISDOMAINNAME and other nis dhcp Options no longer supported
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-25 14:22 EDT by hermann.lauer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 10:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hermann.lauer 1999-06-25 14:22:30 EDT
In the switch from dhcpd-0.70 to 1.3.17 (which seems
to be from another author...) the possibility to fetch
the nis domainname (and other nis options) are lost.

Redhats replacement "pump" seems also have no possibility
to write a script file, where extended DHCP options would be
placed (timeserver, fontserver et all)

This is was I need for my local network setup, so I'm stuck
with redhat 5.2 for the moment...
Comment 1 Anonymous 1999-07-22 15:38:59 EDT
We suffer from the same issue. It would be good to see the
functionality returned.

Matt Fahrner, Burlington Coat.
Comment 2 hermann.lauer 1999-09-27 06:04:59 EDT
Discovered today that the dhcp-client-2.0-1 (on contrib, part of the
ISC-dhcp Server package) can provide nis information and
all the other nice informations which can be distributed via dhcp -
only a script have to be provided to save the information somewhere,
and then of course the complete configuration mechanism has to be
adapted. So there's no need for dhcpd any more and dhcp-client seems
also to be much more powerfull than pump (can also use bootp), so
please try to incooperate dhcp-client in the configuration process of
redhat-6.1 - this would make administering of large linux installation
much more easier (could be even better than in 5.2, 6.0 was a big step
back in that field)
Comment 3 Erik Troan 2000-02-03 10:49:59 EST
All of this should be addressed in pump-0.7.6, which will be on
ftp://people.redhat.com/ewt this afternoon.

Note You need to log in before you can comment on or make changes to this bug.